/**
 * Copyright (c) 2009 Capgemini Sud, 2010-2012 EBM WebSourcing, 2012-2021 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.plugin.jbiplugin.environement;

import java.io.File;

/**
 * Environnement of the component for which the original JBI descriptor contains
 * a needed dependency and must be updated.
 * 
 * @author Christophe DENEUX - Capgemini Sud
 */
public class ComponentWithUpdateOnExtraClasspathElt {

    public final static String ARTIFACT_ID = "component-with-update-on-extra-classpath-elt";

    public final static String VERSION = "1.0.0-TEST";

    public final static File SRC_HOME = new File(
            GlobalUnitTestEnvironnement.PACKAGE_UNIT_TESTS_SRC_HOME, ARTIFACT_ID);

    public final static File TARGET_HOME = new File(new File(
            GlobalUnitTestEnvironnement.UNIT_TESTS_TARGET_HOME, ARTIFACT_ID), "target");

    public final static String ARTIFACT_NAME = ARTIFACT_ID + "-" + VERSION;

    public final static String FINAL_NAME = ARTIFACT_NAME + ".zip";

    public final static String DEPENDENCY_FINAL_NAME = "test-1.0.jar";

    public final static String TRANSITIVE_DEPENDENCY_FINAL_NAME = "transitive-test-1.0.jar";

    public final static String COMPONENT_JAR_FINAL_NAME = "component.jar";

    public final static String EXTRA_CLASSPATH_ELT = "extra.jar";
}